Bug 731893 - Filtering is too slow
Summary: Filtering is too slow
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 21:25 UTC by Honza Horak
Modified: 2018-04-11 09:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-04 00:39:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 684550 None None None Never

Description Honza Horak 2011-08-18 21:25:55 UTC
Description of problem:
I have set filters the same as in thunderbird 3 and use imap server. If I run filters in thunderbird 5, it takes approx. 10 minutes to move 300 messages into subfolders.

Version-Release number of selected component (if applicable):
thunderbird-5.0-1.fc15.x86_64

How reproducible:
every-time

Steps to Reproduce:
1. set filters to move messages to subfolders according to From
2. get some messages in inbox
3. run filters
  
Actual results:
filtering one message takes approx. 2s

Expected results:
filtering 300 messages takes approx. 2s

Additional info:

Comment 1 Matěj Cepl 2011-08-19 14:03:28 UTC
How many filters you have, how many messages? What kind of filters you have (on headers only, on body of messages, etc.)?

Thank you

Comment 2 Honza Horak 2011-08-19 16:49:09 UTC
(In reply to comment #1)
> How many filters you have, how many messages? What kind of filters you have (on
> headers only, on body of messages, etc.)?

Mostly filters on headers only (against From field), total 45 filters. Total count of messages approx. 30,000 :)

If the speed slowed down continually, it could be naturally. But there is a very significant difference now (approx. 50 times or more slower then a month ago), so I assume there is an issue.

Comment 3 Matěj Cepl 2011-09-04 00:39:25 UTC
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=684550) and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

We would strongly encourage you to subscribe to the upstream bug as well (by logging in and adding yourself to the Cc list), so that you can provide whatever information required for the successful resolving of this issue.

Thank you for helping to make free software better.

Comment 4 Wayne Mery (:wsmwk) 2011-10-25 16:31:16 UTC
Honza ...

(In reply to Wayne Mery (:wsmwk) from https://bugzilla.mozilla.org/show_bug.cgi?id=684550#c1)
> Is reporter running SSD? real disk?  USB?
> better if TB is changed to Offline?
...
Is the From being checked against address books?

Comment 5 Honza Horak 2011-10-26 06:20:33 UTC
(In reply to comment #4)
> Is the From being checked against address books?

I've joined Mozilla's bugzilla, so my answer is already in https://bugzilla.mozilla.org/show_bug.cgi?id=684550.


Note You need to log in before you can comment on or make changes to this bug.